Subject: Re: [Isis-wg] ISIS-Autoconf update-//FW: New Version Notification for draft-liu-isis-auto-conf-01.txt

From: "Liubing (Leo)" <[email-masked]>
Date: Mon, 3 Mar 2014 11:01:56 +0000

Hi Mannan,

Thanks for your comment. Replies are inline.

> -----Original Message-----
> From: Venkatesan, Mannan
> [mailto:[email-masked]]
> Sent: Friday, February 28, 2014 4:44 PM
> To: Liubing (Leo); [email-masked]
> Subject: Re: [Isis-wg] ISIS-Autoconf update-//FW: New Version Notification for
> draft-liu-isis-auto-conf-01.txt
> 
> A comment/question on using mac address of an ISIS enabled interface for
> system ID. Do we need to add details on how an interface is picked, 
[Bing] As specified in the draft, the ISIS-Autoconf is enabled on interfaces, so there won't be an interface selection problem.
If you meant how to decide which interface enabled ISIS-autoconf in a router, I think that should be the problem of the CPE.
But I think it is a real issue in practice, we'll consider to add some description in the next version. 

> would the
> router persist the NET after a reboot 
> and what happens that interface
> (module) is pulled out. Would the router do NET generation and duplication
> resolution procedures every time it¹s rebooted?
[Bing] I'll prefer to persist the valid NET. When rebooted, the router would use the former NET to re-join in the isis-autoconf (do NET duplication&resolution again).

Thanks for raising the good technical details, we'll address them in the next version.

Best regards,
Bing

> 
> Thanks,
> Mannan
> 
> On 2/22/14, 4:40 AM, "Liubing (Leo)" <[email-masked]> wrote:
> 
> >Hi Dear all,
> >
> >The ISIS-Autoconf draft has been updated. There have been several new
> >co-authors participated in this work and they've contributed great ideas.
> >We've made some progress to improve the draft. The new version mainly
> >includes the following revisions:
> >1. clearly described the NET duplication & resolution procedures 2.
> >added cleartext password Authentication & Wide Metric support (TLV10 &
> >TLV22)
> >3. added discussion about co-existence with other IGP autoconf
> >mechanisms (e.g. OSPF-Autoconf) 4. added some security considerations
> >5. other editorial revisions
> >
> >Please have a review, comments are appreciated very much.
> >Thank you!
> >
> >Best regards,
> >Bing
> >
> >-----Original Message-----
> >From: [email-masked] [mailto:[email-masked]]
> >Sent: Friday, February 14, 2014 7:05 PM
> >To: Mikael Abrahamsson; Bruno Decraene; Ian Farrer; Liubing (Leo);
> >Bruno Decraene; Mikael Abrahamsson; Ian Farrer; Liubing (Leo)
> >Subject: New Version Notification for draft-liu-isis-auto-conf-01.txt
> >
> >
> >A new version of I-D, draft-liu-isis-auto-conf-01.txt has been
> >successfully submitted by Bing Liu and posted to the IETF repository.
> >
> >Name:		draft-liu-isis-auto-conf
> >Revision:	01
> >Title:		ISIS Auto-Configuration
> >Document date:	2014-02-14
> >Group:		Individual Submission
> >Pages:		9
> >URL:
> >http://www.ietf.org/internet-drafts/draft-liu-isis-auto-conf-01.txt
> >Status:         https://datatracker.ietf.org/doc/draft-liu-isis-auto-conf/
> >Htmlized:       http://tools.ietf.org/html/draft-liu-isis-auto-conf-01
> >Diff:
> >http://www.ietf.org/rfcdiff?url2=draft-liu-isis-auto-conf-01
> >
> >Abstract:
> >   This document describes mechanisms for IS-IS to be self-configuring.
> >   Such mechanisms could reduce the management burden to configure a
> >   network. One obvious environment that could benefit from these
> >   mechanisms is IPv6 home network where plug-and-play would be
> expected.
> >   Besides home network, some simple enterprise/ISP networks might also
> >   benefit from the self-configuring mechanisms.
> >
> >
> >
> >
> >
> >Please note that it may take a couple of minutes from the time of
> >submission until the htmlized version and diff are available at
> >tools.ietf.org.
> >
> >The IETF Secretariat
> >
> >_______________________________________________
> >Isis-wg mailing list
> >[email-masked]
> >https://www.ietf.org/mailman/listinfo/isis-wg